#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 retrie
version:              0.1.1.1
visibility:           public
id:                   retrie-0.1.1.1-9HsZljFvjaAB4yEfNbsyxJ
key:                  retrie-0.1.1.1-9HsZljFvjaAB4yEfNbsyxJ
license:              MIT
copyright:            Copyright (c) Facebook, Inc. and its affiliates.
maintainer:           Andrew Farmer <anfarmer@fb.com>
author:               Andrew Farmer <anfarmer@fb.com>
homepage:             https://github.com/facebookincubator/retrie
synopsis:             A powerful, easy-to-use codemodding tool for Haskell.
description:
    Retrie is a tool for codemodding Haskell. Key goals include:

    * Speed: Efficiently rewrite in large (>1 million line) codebases.
    * Safety: Avoids large classes of codemod-related errors.
    * Ease-of-use: Haskell syntax instead of regular expressions. No hand-rolled AST traversals.

    This package provides a command-line tool (@retrie@) and a library
    ("Retrie") for making equational edits to Haskell code.

    Please see the [README](#readme) for examples and usage.

category:             Development
abi:                  7012cf6a891d6df7451dce17d03c8e30
exposed:              True
exposed-modules:
    Retrie Retrie.AlphaEnv Retrie.CPP Retrie.Context Retrie.Debug
    Retrie.ExactPrint Retrie.ExactPrint.Annotated Retrie.Expr
    Retrie.Fixity Retrie.FreeVars Retrie.GHC Retrie.GroundTerms
    Retrie.Monad Retrie.Options Retrie.PatternMap.Bag
    Retrie.PatternMap.Class Retrie.PatternMap.Instances Retrie.Pretty
    Retrie.Quantifiers Retrie.Query Retrie.Replace Retrie.Rewrites
    Retrie.Rewrites.Function Retrie.Rewrites.Rules
    Retrie.Rewrites.Types Retrie.Run Retrie.SYB Retrie.Subst
    Retrie.Substitution Retrie.Types Retrie.Universe Retrie.Util

import-dirs:          /usr/lib/ghc-8.10.4/site-local/retrie-0.1.1.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/retrie-0.1.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/retrie-0.1.1.1
hs-libraries:         HSretrie-0.1.1.1-9HsZljFvjaAB4yEfNbsyxJ
depends:
    ansi-terminal-0.11-JrIDCJyGSk48Fi60sEA6fd
    async-2.2.2-Az0qhs7hFsWEVaq3Mo2w2n base-4.14.1.0
    bytestring-0.10.12.0 containers-0.6.2.1
    data-default-0.7.1.1-3K0hd1ne4UWB9RDbvbQ5dN directory-1.3.6.0
    filepath-1.4.2.1 ghc-8.10.4
    ghc-exactprint-0.6.3.4-6wRFxwRiJWB3vGx5myU9ec mtl-2.2.2
    optparse-applicative-0.16.1.0-1KfLnJDjOVeGNZVfn2I9ls
    process-1.6.9.0 random-shuffle-0.0.4-Bl2iJGvntvSAnwJCR19mEI
    syb-0.7.2.1-CTNTQSe1a3A6Dk2plcWsh0 text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-9D2l52PDQcR87hE3xMKJJh

haddock-interfaces:   /usr/share/doc/haskell-retrie/html/retrie.haddock
haddock-html:         /usr/share/doc/haskell-retrie/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

